Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BinCullHandler Class Reference

This CullHandler sends all of the geoms it receives into a CullResult object, for binning (and later drawing). More...

`#include "binCullHandler.h"`

Inheritance diagram for BinCullHandler:

## Public Member Functions
| BinCullHandler (CullResult *cull_result)
virtual void | record_object (CullableObject *object, const CullTraverser *traverser)
| This callback function is intended to be overridden by a derived class.
Public Member Functions inherited from CullHandler
virtual void | end_traverse ()
| This callback function is intended to be overridden by a derived class.

## Additional Inherited Members
Static Public Member Functions inherited from CullHandler
static void | draw (CullableObject *object, GraphicsStateGuardianBase *gsg, bool force, Thread *current_thread)
| Draws the indicated CullableObject, with full support for decals if they are attached to the object.

## Detailed Description

This CullHandler sends all of the geoms it receives into a CullResult object, for binning (and later drawing).

This is the kind of CullHandler to use for most normal rendering needs.

Definition at line 27 of file binCullHandler.h.

## Constructor & Destructor Documentation

## ◆ BinCullHandler()

BinCullHandler::BinCullHandler | ( | CullResult * | cull_result | ) |
| inline

Definition at line 17 of file binCullHandler.I.

## Member Function Documentation

## ◆ record_object()

void BinCullHandler::record_object | ( | CullableObject * | object,
|  | const CullTraverser * | traverser )
| virtual

This callback function is intended to be overridden by a derived class.

This is called as each Geom is discovered by the CullTraverser.

Reimplemented from CullHandler.

Definition at line 21 of file binCullHandler.cxx.

The documentation for this class was generated from the following files:

- panda/src/cull/binCullHandler.h
- panda/src/cull/binCullHandler.cxx
- panda/src/cull/binCullHandler.I